Subject: RE: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Drew Adams <[email-masked]>
Date: Tue, 12 Jul 2016 14:33:30 +0000 (UTC)

> > > It sounds like the problem is with the Uniscribe DLL, usp10.dll.  How
> > > many of those do you have on your system, and in what directories?
> >
> > I guess I don't have any of them.
> > Searching C: and D: drives for usp10.dll found nothing.
> 
> This cannot be true.  Don't you have one in C:\WINDOWS\SysWOW64 and
> another one in C:\WINDOWS\system32?  If you didn't, I think all other
> Emacs versions would have crashed.

Yes, I have it in both places.  But for some reason search (from
Windows Explorer) does not find it, even when searching just those
folders.

> Do you have Process Explorer installed?

Not that I know of.  How would I know?

> If not, can you install it from the Microsoft Sysinternals site,
> https://technet.microsoft.com/en-us/sysinternals/processexplorer?

It seems not.  That page says:

  Runs on:
  Client: Windows Vista and higher (Including IA64).
  Server: Windows Server 2008 and higher (Including IA64).

I have Windows 7 (64-bit).

> > > Also, do you see the crashes in the Windows Event Viewer (under
> > > Application)?  If so, please post the details of one such log entry.
> >
> > Dunno what that means.  You will need to give specific instructions.
> 
> Right-click "Computer" and select "Manage".  Expand "Event Viewer",
> then expand "Windows Logs", then click on Application.  After a few
> seconds, you will be presented with a list of events; look for ones
> labeled "Error" around the time of a crash.  Double-clicking on such a
> line will show the details of the crash.

Nope. The only errors I see listed there from July (when I did these
tests) are for Google Update and a VPN executable.